/* 
 * Midway Distributed Shared Memory System
 * Copyright (c) 1994 Carnegie Mellon University
 * All Rights Reserved.
 * 
 * Permission to use, copy, modify and distribute this software and its
 * documentation is hereby granted, provided that both the copyright
 * notice and this permission notice appear in all copies of the
 * software, derivative works or modified versions, and any portions
 * thereof, and that both notices appear in supporting documentation.
 * 
 * CARNEGIE MELLON ALLOWS FREE USE OF THIS SOFTWARE IN ITS "AS IS"
 * CONDITION.  CARNEGIE MELLON DISCLAIMS ANY LIABILITY OF ANY KIND FOR
 * ANY DAMAGES WHATSOEVER RESULTING FROM THE USE OF THIS SOFTWARE.
 */
int
midway_atm_open(
		char *hlist	/* blank separated host names, in order */
		);

int
midway_atm_sendmsg(
		   int s,	/* socket, not used */
		   struct msghdr *msgh, /* gather array */
		   int flags,
		   int dest	/* host # sending to */
		   );

int
midway_atm_sendto(
		  int s,
		  char * buf,	/* thing to be sent */
		  int len,	/* size */
		  int flags,
		  struct sockaddr *to,
		  int tolen,
		  int dest	/* host # sending to */
		  );

int
midway_atm_rcv(
	       pbuf *buf, 
	       int *len, 
	       u_int *stime,
	       struct sockaddr *sin
	       );

int
midway_atm_pbuf_free(
		     pbuf buf
		     );

int
midway_atm_wantreply(
		     comm_filter filt, 
		     int cpti
		     );
