/* 
 * Midway Distributed Shared Memory System
 * Copyright (c) 1994 Carnegie Mellon University
 * All Rights Reserved.
 * 
 * Permission to use, copy, modify and distribute this software and its
 * documentation is hereby granted, provided that both the copyright
 * notice and this permission notice appear in all copies of the
 * software, derivative works or modified versions, and any portions
 * thereof, and that both notices appear in supporting documentation.
 * 
 * CARNEGIE MELLON ALLOWS FREE USE OF THIS SOFTWARE IN ITS "AS IS"
 * CONDITION.  CARNEGIE MELLON DISCLAIMS ANY LIABILITY OF ANY KIND FOR
 * ANY DAMAGES WHATSOEVER RESULTING FROM THE USE OF THIS SOFTWARE.
 */
/*
 * sm.h: things that belong in a header file
 * 
 * 15 Dec 90: Matthew J. Zekauskas
 */
#define SMNAME	"SMexecServerPort" /* name in NetMsgServer registry */

#define UDPPORTSTART	1500	/* starting port # for locking protocol */
#define UDPPORTEND	1600	/* bound number of tries */


extern int allocate_server_ports();
extern cthread_t spawn_server_thread();



