/* 
 * Midway Distributed Shared Memory System
 * Copyright (c) 1994 Carnegie Mellon University
 * All Rights Reserved.
 * 
 * Permission to use, copy, modify and distribute this software and its
 * documentation is hereby granted, provided that both the copyright
 * notice and this permission notice appear in all copies of the
 * software, derivative works or modified versions, and any portions
 * thereof, and that both notices appear in supporting documentation.
 * 
 * CARNEGIE MELLON ALLOWS FREE USE OF THIS SOFTWARE IN ITS "AS IS"
 * CONDITION.  CARNEGIE MELLON DISCLAIMS ANY LIABILITY OF ANY KIND FOR
 * ANY DAMAGES WHATSOEVER RESULTING FROM THE USE OF THIS SOFTWARE.
 */


char *midway_version_string = "V0.9 3Oct94";

#if defined(PAGE_BASED)
char *midway_model_string = "PageBased";
#elif defined(MIXED_MODEL)
char *midway_model_string = "MixedModel";
#else
char *midway_model_string = "EC";
#endif

#if defined(PROFILE) && defined(FAST_UDP)
char *midway_option_string = " w/Profile/FastUDP";
#elif defined(PROFILE) && defined(ATM_IFACE)
char *midway_option_string = " w/Profile/ATM";
#elif defined(PROFILE)
char *midway_option_string = " w/Profile";
#elif defined(FAST_UDP) && defined(BENCHMARK)
char *midway_option_string = " w/Benchmark/FastUDP";
#elif defined(ATM_IFACE) && defined(BENCHMARK)
char *midway_option_string = " w/Benchmark/ATM";
#elif defined(BENCHMARK)
char *midway_option_string = " w/Benchmark";
#elif defined(FAST_UDP)
char *midway_option_string = " w/FastUDP";
#elif defined(ATM_IFACE)
char *midway_option_string = " w/ATM";
#else
char *midway_option_string = "";
#endif


/*
 * version info:
 * v0.4 - new midwayux allowing for unlimited sized read/write
 * v0.5 - new ss call to die; (midway_exit() implemented)
 * v0.6 - incorporates new pack/unpack, new dirtybit code, new shmalloc.
 * v0.7 - new fastpath for lock acquire/release
 * v0.8 - MK82 +
 * v0.9 - new message header format
 */

